.\"	$NetBSD: pseye.4,v 1.4 2008/09/06 20:12:04 wiz Exp $
.\"
.\" Copyright (c) 2008 Jared D. McNeill <jmcneill@invisible.ca>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Neither the name of the author nor the names of any
.\"    contributors may be used to endorse or promote products derived
.\"    from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 6, 2008
.Dt PSEYE 4
.Os
.Sh NAME
.Nm pseye
.Nd Sony PlayStation Eye webcam device driver
.Sh SYNOPSIS
.Cd "pseye* at uhub?"
.Cd "video* at videobus?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the Sony PlayStation Eye
.Tn USB
webcam (model SLEH-00201).
.Pp
This webcam supports 640x480 YUYV capture at 30 frames per second,
which requires a hi-speed USB host controller (such as
.Xr ehci 4 )
to function properly.
.Pp
The Sony PlayStation Eye device also has a separate audio interface,
which is supported by the
.Xr uaudio 4
device driver.
.Sh SEE ALSO
.Xr ehci 4 ,
.Xr uaudio 4 ,
.Xr video 4
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 5.0 .
.Sh AUTHORS
.An Jared D. McNeill Aq jmcneill@invisible.ca
.Sh BUGS
The only mode supported by the
.Nm
driver is 640x480 YUYV at 30fps.
